University of Pennsylvania
Business Enterprise Network
BEN Financials Home
Frequently Asked Questions
Advisories
Closing Schedules
Logging On
Desktop/Printer Standards
Documentation
Training
Security Access
Enhancement Requests
Financial Systems
Document/Forms
Contact Information
Feedback


U@Penn


University of Pennsylvania
Suite 318 Franklin Building
3451 Walnut Street
Philadelphia, PA 19104
215.746.4357 (Phone)
215.898.0817 (Fax)

Penn Home Penn A-Z Directories Calendar Maps
 
Business Enterprise Network

[ BEN Financials ]

Desktop hardware & Software Requirements
Desktop & Printer Requirements & Standards

Consistent with Information Systems and Computing's recommendations for accessing Penn's central administrative systems, these are the desktop configurations for BEN Financials. Consult your Local Support Provider if you have questions or need assistance installing the software.

IMPORTANT NOTE:Since BEN Financials was rolled out, some users have experienced problems using supported versions of software with certain features of BEN Financials. In cases where an unsupported version is the only solution to the problem, users and LSPs are advised to install the unsupported version. Such cases are detailed on the BEN Financials Advisories page at http://www.finance.upenn.edu/ben/benfin/advisories.shtml. We regret that these situations occur, but it is not possible for the University to keep up with every requirement imposed by an individual application vendor.

ATTENTION USERS WHO RUN REPORT EXTRACTS IN BEN FINANCIALS: End-users will now retrieve their extract files by using Secure Share Exchange Service. NOTE: End-users can no longer retrieve extract files from their home directory on the BEN Financials FTP server (Findata).

Documentation on Extracts and extract retrieval can be found at: http://www.finance.upenn.edu/ben/benfin/documentation/reportdoc/guide8.shtml#filt

Secure Share file exchange application is available to all Penn faculty and Staff with a valid PennKey and PennKey password and can be assessed at: https://medley.isc-seo.upenn.edu/secureShare/jsp/fast.do

line

Windows 7 & Vista

  • Windows 7 and Windows Vista Service Pack 2 are currently the only versions of Windows certified by Oracle.

  • Recommended Configuration: Desktop Standard

  • Web Browser: Internet Explorer 10.0, 9.0, 8.0 and Firefox 24 ESR are certified to work with Oracle
  • NOTE: In order for IE 10 to work with BEN Financials. ‘upenn.edu’ must be added to the Compatibility View (Tools > Compatibility View settings).

    NOTE: Planning users (Oracle EPM/Hyperion) will not be able to access Planning using IE 10. Browser recommendations for Planning is located here, http://www.budget.upenn.edu/plantools/

  • Client Software:
    • BEN Financials and BEN Pays Invoice Imaging: Beginning Thursday, January 16th, 2014, Java 6 will no longer be supported for use with BEN Financials. Java 7 Update 25 will be the lowest version of JRE that will be supported. BEN Financials client systems must have Java 7 Update 25 (1.7.0_25) or higher.
    • BEN Requisitions and Penn Marketplace: SUN JRE software is NOT required for end users who have access ONLY to the Requisitioner responsibility (i.e., to shop in the Penn Marketplace)
    • BEN Pays Invoice Imaging: Invoice imaging browser based viewer requires Flash Player. For workstations with Windows operating systems Flash Player 10 or 11 (all versions) is supported. For workstations with Mac operating systems Flash Player 10 (all versions) is supported. Additionally, Flash Player 12 and 13 have been successfully certified by the BEN team. However, the invoice imaging vendor (Kofax) does not officially support Flash Player 12 or 13.

  • Display:
    • 1024 x 768 or above resolution
    • 17-inch or larger monitor recommended, but not required


Mac OS 10.x

Requirements for BEN Financials and BEN Pays Invoice Imaging: To use BEN Pays, BEN Balances, and/or the full complement of BEN Buys capabilities, you will need this configuration:

  • Intel-based Mac with Mac OS 10.6.x, 10.7.x, 10.8.x, 10.9.x

  • Minimum Recommended Configuration: Desktop Standard

  • OS X Snow Leopard (10.6), Lion (10.7), Mountain Lion (10.8), and Mavericks (10.9) are certified by Oracle

  • Web Browser: Safari 5.1, Safari 6, or Safari 7.

  • Client Software:
    • BEN users’ machines must have a support version of the JRE plug-in. Current guidance from Oracle is that end users can use the most current version of Java, not only the most recent certified version. As of January 16, 2014, this means that BEN Financials must use at least JRE 1.7_25 but can upgrade to the most recent version, JRE 1.7_51. This allows Penn’s constituents to keep their computers up to date with Oracle's most recent Java vulnerability fixes.

    • NOTE: If Java 7 Update 51 has been installed on an end-user’s PC, please take a look at the latest posted advisory for the new security settings which are required to access BEN Financials and Webi/Business Objects. The advisory can be found on the BEN Financials Active Advisories page: http://www.finance.upenn.edu/ben/benfin/advisories.shtml

  • Display:
    • 1024x768 or above resolution


Windows and Macintosh: Additional Information

For additional information on desktop standards or if you are purchasing a new system, consult your local support provider (LSP) or refer to the Desktop standards.

window

Comptroller Spotlights

FY2014 Closing Instructions
New Category Codes
GL Object Codes FY2014
Concur Expense Type/Object Code Matrix (2014)

BEN Offices

BEN Deposits
BEN Financials
BEN Reports
spacer
spacer
Office of the President Home Page Penn A-Z Directories Calendar Maps
 
 
Copyright © , University of Pennsylvania
3451 Walnut Street, Philadelphia, PA 19104 · 215.898.5000
Copyright Information | Contact Us | Privacy Policy


Penn Home
Visit Penn's website